@Detri

Как решить ошибку с Discord.py?

Когда создаю модуль "Discord py" выдает эту ошибку:
5fe20c951f3ea445055099.png
помогите решить пожалуйста.
  • Вопрос задан
  • 67 просмотров
Решения вопроса 1
hottabxp
@hottabxp Куратор тега Python
Миллиардер. Честно, 100 пистонов!
Используйте Python 3.8 или устанавливайте библиотеку из исходников:
5fe20e895c1ec217427112.png
Ответ написан
Пригласить эксперта
Ответы на вопрос 1
@Lermal
Если ещё не нашёл ответ то вот:

Откати версию pip до 18.1 (python -m pip install pip==18.1)
Установи discord.py (pip install discord.py)
Обнови pip до самой новой (python -m pip install pip)

Если появиться ошибка error: Microsoft Visual C++ 14.0 or greater is required. Get it with "Microsoft C++ Build Tools" то иди на этот сайт: https://visualstudio.microsoft.com/ru/visual-cpp-b... и скачивай от туда Visual Builds.

В Visual Builds выбирай "Среда разработки CSS (Первое)" и всё
Ответ написан
Ваш ответ на вопрос

Войдите, чтобы написать ответ

Войти через центр авторизации
Похожие вопросы